Bug 3016 - once-only error message from module loader is misleading
Summary: once-only error message from module loader is misleading
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xorg/dlloader (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high minor
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 3116 400
  Show dependency treegraph
 
Reported: 2005-04-13 13:47 UTC by Adam Jackson
Modified: 2005-04-22 19:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
hush-onceonly-error-1.patch (1.19 KB, patch)
2005-04-23 12:14 UTC, Adam Jackson
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jackson 2005-04-13 13:47:56 UTC
If you try to load a module more than once, you get something like the following
error message:

(EE) I810: Failed to load module "dri" (once-only module, 0)

This is not actually an error, the module successfully loaded the first time. 
This should be degraded to an X_INFO and the wording changed.

(actually a generic loader bug but filing it under dlloader so i remember to care)
Comment 1 Adam Jackson 2005-04-23 12:14:08 UTC
Created attachment 2522 [details] [review]
hush-onceonly-error-1.patch
Comment 2 Adam Jackson 2005-04-23 12:16:25 UTC
fixed in HEAD.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.